<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from lic.texi on 28 April 1999 -->

<TITLE>The Linear Inequality Calculator - Examples</TITLE>
<link href="lic_10.html" rel=Next>
<link href="lic_8.html" rel=Previous>
<link href="lic_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_8.html">previous</A>, <A HREF="lic_10.html">next</A>, <A HREF="lic_21.html">last</A> section, <A HREF="lic_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC9" HREF="lic_toc.html#TOC9">Examples</A></H2>
<P>
<A NAME="IDX117"></A>

</P>
<P>
The following examples are given to illustrate a few uses of the rapid
prototyping system.  The example scripts shown here are also available
in the <CODE>examples/lic</CODE> directory in the SUIF distribution.

</P>

<UL>
<LI><A HREF="lic_10.html#SEC10">Creating a System and Checking for Solutions</A>
                Create three systems of linear inequalities and check the
                existence of solutions for those systems.
<LI><A HREF="lic_11.html#SEC11">Finding Direction Vectors</A>
                For two accesses, find the dependence vectors by
                formulating the problem as systems of inequalities and
                checking the validity of these systems.
<LI><A HREF="lic_12.html#SEC12">Owner Computes Rule</A>
                Find the computation decomposition using the owner
                computes rule.
<LI><A HREF="lic_13.html#SEC13">Find Existence of Communication</A>
                Find if there exists a need to communicate.
<LI><A HREF="lic_14.html#SEC14">Communication Code</A>
                Generate send and receive loop nests for communication
                found in the above example. 
<LI><A HREF="lic_15.html#SEC15">Communication Using Exact Data-Flow information</A>
                Use producer-consumer information generated by Exact
                data-flow information to identify existence of communication.
<LI><A HREF="lic_16.html#SEC16">Array Reshape</A>
                Two accesses in different procedures accesses the same array,
                but the array is reshaped between the procedures.  This will
                find the relationship between the two different accesses.
</UL>

<P>
<A NAME="IDX118"></A>

</P>
<P><HR><P>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_8.html">previous</A>, <A HREF="lic_10.html">next</A>, <A HREF="lic_21.html">last</A> section, <A HREF="lic_toc.html">table of contents</A>.
</BODY>
</HTML>
